/********************************** C80S_EV.H *********************************
Copyright Symbios Logic Inc.

Author:		Sherri Moore Symbios Logic System Applications Engineer
Purpose:		53C80S Demonstration Software

This software was written by Symbios Logic to develop and test new
products.  It is not a general SCSI driver.  Symbios Logic assumes no liability for
its use, misuse or inability to use.

Project files:
		C80S.C 		Main body of code
		TARGET80.C	Target Mode routines
		C80SISR.C	Interrupt Service Routine
		C80STEST.C	Automatic Test Module
		DMA80S.C	Hardware dependant DMA code (8237 compatible)
		DMA80S.H  	DMA controller parameters
		C80S_AT.H	Hardware addresses, global defines
		C80S_EV.H	External variables
		C80SCAM.C	SCAM Menu
		C80SCAM.H

**************************************************************************/


/***************************** Global Variables **************************/

extern struct parms {
	unsigned 	mid, tid, atn, msg_byte, blksize, blkcount,
			timeout, parity, detail, DMA, ena_eop, tar_mode,
			scsi_reset, clr_reset;
	} parms;

extern struct SCAMparms {
		unsigned char 	target, seldelay, priority, assigned_id[8];
		char 		idstring[32];
		 } SCAMparms;

extern int i, j, temp1, temp2, page, pagemax;

extern unsigned long seg, off, abs_adrs, iocount, byte_count;

extern unsigned int 	dma_buf[2048], cdb_buf[9], sence_data[7], intstat, msg, x_count, reg_set,
			scsicmd, statbyte, inquiry_data[35];

extern unsigned char 	far* cdb, far* dmabyte, scsi_error, cmd_error, mode, group_code,
			bus_ID, ID_msg, status, cur_data, scsi_stat, initiat,
			tar_phase, cdb_bytes, rcv_byte, pause_flag, TCR;

extern char 		cmd,temp,looprw,setup_cmd;
